// EnrollDialog.cpp : implementation file
//

#include "stdafx.h"
#include "FccSample.h"
#include "EnrollDialog.h"


// CEnrollDialog dialog

IMPLEMENT_DYNAMIC(CEnrollDialog, CDialog)

CEnrollDialog::CEnrollDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CEnrollDialog::IDD, pParent)
	, m_id(_T(""))
	, m_from(0)
	, m_mode(0)
{

}

CEnrollDialog::~CEnrollDialog()
{
}

void CEnrollDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, m_id);
	DDV_MaxChars(pDX, m_id, 64);
	DDX_CBIndex(pDX, IDC_COMBO1, m_from);
	DDX_CBIndex(pDX, IDC_COMBO2, m_mode);
	DDX_Control(pDX, IDC_COMBO1, m_fromValues);
}


BEGIN_MESSAGE_MAP(CEnrollDialog, CDialog)
	ON_BN_CLICKED(IDOK, &CEnrollDialog::OnBnClickedOk)
END_MESSAGE_MAP()

// CEnrollDialog message handlers

BOOL CEnrollDialog::OnInitDialog()
{
	CDialog::OnInitDialog();

#ifndef WIN32_PLATFORM_WFSP
	m_fromValues.AddString(_T("file"));
#endif
#if _WIN32_WCE >= 0x501
	m_fromValues.AddString(_T("camera"));
#endif
	m_from = 0;
	UpdateData(FALSE);

	return TRUE;
}

void CEnrollDialog::OnBnClickedOk()
{
	UpdateData(TRUE);
	if (!m_id.IsEmpty())
	{
		OnOK();
	}
	else
	{
		MessageBox(_T("Enter person ID!"));
	}
}
